Subject: bug#18051: 24.3.92; ls-lisp: Sorting; make ls-lisp-string-lessp a normal function?

From: Michael Heerdegen <[email-masked]>
Date: Sat, 19 Jul 2014 12:52:33 +0200

Eli Zaretskii <[email-masked]> writes:

> AFAICT, 'ls' uses strcoll.  I don't see how can that effectively
> ignore the leading dot, but maybe I'm missing something.

Yes, it uses strcoll.

> Can you see the answer in 'ls' sources?

No, I don't see anything related in the sources, it just calls strcoll
(or strcmp as fallback), nothing more.

I compiled some test program calling strcoll, and there it didn't ignore
the dot.  Sorry, I don't why this is different in ls.

>  Does just "en_US" or "en_US.8859-1" change the order?

Yes! ls -al with en_US behaves the same as with en_US.utf8, dots are
ignored.